# Effect File Reference

`#include <osgFX/Export>`
`#include <osgFX/Technique>`
`#include <osg/buffered_value>`
`#include <osg/ref_ptr>`
`#include <osg/Node>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/OccluderNode>`
`#include <vector>`

Include dependency graph for Effect:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgFX

## Defines

#define | META_Effect(library, classname, effectname, effectdescription, effectauthor)
| An helper macro that defines the methods like effectName() and effectDescription() making them return the strings passed as parameters, after the usual library name and class name.

## Define Documentation

#define META_Effect | ( | library,
|  | classname,
|  | effectname,
|  | effectdescription,
|  | effectauthor |  | ) |

Value:

    META_Node(library, classname) \
        virtual const char *effectName() const        { return effectname; } \
        virtual const char *effectDescription() const { return effectdescription; } \
        virtual const char *effectAuthor() const      { return effectauthor; }

An helper macro that defines the methods like effectName() and effectDescription() making them return the strings passed as parameters, after the usual library name and class name.